Index: osc_snovis/trunk/obuild/DOS/build_release.bat
===================================================================
--- osc_snovis/trunk/obuild/DOS/build_release.bat	(revision 221)
+++ osc_snovis/trunk/obuild/DOS/build_release.bat	(revision 270)
@@ -907,6 +450,36 @@
 @IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
 @IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
-:end_if_release_107
-:end_if_platform_106
+:end_if_release_39
+:end_if_platform_38
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_40
+IF NOT EXIST "%HDF5_home%\lib\libhdf5.0.0.0.dylib"  ECHO WARNNING : File %HDF5_home%\lib\libhdf5.0.0.0.dylib not found.  && GOTO end_if_release_41
+IF NOT EXIST "%obuild_dir_project%\lib" MKDIR "%obuild_dir_project%\lib"
+COPY "%HDF5_home%\lib\libhdf5.0.0.0.dylib" "%obuild_dir_project%\lib\." 1> copy_exe_error
+@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+@IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_release_41
+:end_if_platform_40
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_42
+IF NOT EXIST "%HDF5_home%\include"  ECHO WARNNING : Directory %HDF5_home%\include not found.  && GOTO end_if_release_43
+IF NOT EXIST "%obuild_dir_project%\Resources\HDF5\.\include" MKDIR "%obuild_dir_project%\Resources\HDF5\.\include"
+XCOPY /E /Q "%HDF5_home%\include" "%obuild_dir_project%\Resources\HDF5\.\include" 1> xcopy_exe_error
+@IF ERRORLEVEL 1 @TYPE xcopy_exe_error && @GOTO obuild_return
+@IF NOT ERRORLEVEL 1 @DEL xcopy_exe_error
+:end_if_release_43
+:end_if_platform_42
 SET obuild_platform_result=
 
